# Based on the Fedora .spec file for task 1.9.4
%define shortname task

Name:           taskwarrior
Version:        2.6.2
Release:        %mkrel 1
Summary:        A command-line to do list manager
Group:          Office/Organizer
License:        MIT
URL:            https://taskwarrior.org/
Source0:        https://github.com/GothenburgBitFactory/taskwarrior/releases/download/v%{version}/%{shortname}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(uuid)

Provides:       task = %{version}-%{release}


%description
Task is a command-line to do list manager. It has support for GTD functionality
and includes the following features: tags, colorful tabular output, reports and
graphs, lots of manipulation commands, low-level API, abbreviations for all
commands and options, multi-user file locking, recurring tasks.

%prep
%setup -q -n %{shortname}-%{version}

%build
%cmake
%cmake_build

%install
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
install -m 644 -T scripts/bash/task.sh %{buildroot}%{_datadir}/bash-completion/completions/task

%cmake_install
mv %{buildroot}%{_defaultdocdir}/%{shortname} %{buildroot}%{_defaultdocdir}/%{name}
rm %{buildroot}%{_defaultdocdir}/%{name}/INSTALL

# python shebangs
%py3_shebang_fix %{buildroot}%{_docdir}/taskwarrior/scripts/add-ons/

%files
%doc %{_defaultdocdir}/%{name}/
%{_bindir}/task
%{_mandir}/man1/task.1*
%{_mandir}/man5/taskrc.5*
%{_mandir}/man5/task-color.5*
%{_mandir}/man5/task-sync.5*
%{_datadir}/bash-completion/completions/task
%{_datadir}/zsh/site-functions/_task



%changelog
* Fri Oct 25 2024 daviddavid <daviddavid> 2.6.2-1.mga10
+ Revision: 2111129
- new version: 2.6.2 (latest release without rust support)
- fix python shebang command
+ wally <wally>
- do not own /etc/bash_completion.d/

* Tue Mar 29 2022 umeabot <umeabot> 2.3.0-7.mga9
+ Revision: 1833424
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 daviddavid <daviddavid> 2.3.0-6.mga8
+ Revision: 1517803
- fix python shebangs
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.3.0-5.mga7
+ Revision: 1301331
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 2.3.0-4.mga6
+ Revision: 932576
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.3.0-3.mga5
+ Revision: 744417
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.0-2.mga5
+ Revision: 689729
- Mageia 5 Mass Rebuild

* Wed Apr 09 2014 remmy <remmy> 2.3.0-1.mga5
+ Revision: 612997
- New upstream version

* Sat Oct 19 2013 umeabot <umeabot> 2.2.0-2.mga4
+ Revision: 528564
- Mageia 4 Mass Rebuild

* Sun Jun 23 2013 remmy <remmy> 2.2.0-1.mga4
+ Revision: 445991
- New upstream version

* Mon Jan 14 2013 umeabot <umeabot> 2.1.2-2.mga3
+ Revision: 384133
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 remmy <remmy> 2.1.2-1.mga3
+ Revision: 298783
- New upstream version: 2.1.2
- Moved to RPM group Office/Organizer

* Sat Aug 11 2012 remmy <remmy> 2.1.1-1.mga3
+ Revision: 280526
- New upstream version: 2.1.1

* Sat Apr 21 2012 remmy <remmy> 2.0.0-1.mga2
+ Revision: 232205
- imported package taskwarrior


* Fri Mar 04 2011 Federico Hernandez <ultrafredde@gmail.com> - 1.9.4-1
  Intial RPM for task release 1.9.4
* Mon Nov 08 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.3-1
  Intial RPM for task release 1.9.3
* Thu Jul 15 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.2-2
  Wrong build config (Bugzilla 615034)
* Mon Jul 14 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.2-1
  Intial RPM for task release 1.9.2
* Mon May 22 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.1-1
  Intial RPM for task release 1.9.1
* Mon Feb 22 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.0-1
  Intial RPM for task release 1.9.0
* Mon Feb 15 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.0.beta3-1
  Intial RPM for task beta release 1.9.0.beta3
* Mon Feb 08 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.0.beta2-1
  Intial RPM for task beta release 1.9.0.beta2
* Wed Feb 03 2010 Federico Hernandez <ultrafredde@gmail.com> - 1.9.0.beta1-1
  Intial RPM for task beta release 1.9.0.beta1
* Sat Dec 05 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.5-2
  Fixed wrong ChangeLog file
* Sat Dec 05 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.5-1
  Intial RPM for task bugfix release 1.8.5
* Tue Nov 17 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.4-1
  Intial RPM for task bugfix release 1.8.4
* Wed Oct 21 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.3-1
  Intial RPM for task bugfix release 1.8.3
* Mon Sep 07 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.2-1
  Intial RPM for task bugfix release 1.8.2
* Thu Aug 20 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.1-1
  Intial RPM for task bugfix release 1.8.1
* Tue Jul 21 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.0-1
  Intial RPM for task release 1.8.0
* Mon Jul 13 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.0.beta3-1
  Intial RPM for task beta release 1.8.0.beta3
* Wed Jul 08 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.0.beta2-1
  Intial RPM for task beta release 1.8.0.beta2
* Tue Jul 07 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.8.0.beta1-1
  Intial RPM for task beta release 1.8.0.beta1
* Tue Jun 08 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.7.1-2
  Fixed inclusion of manpages.
* Tue Jun 08 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.7.1-1
  Initial RPM for bugfix release 1.7.1.
  Updated references to new project homepage in spec file. 
* Tue May 19 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.7.0-2
  Changed license to GPLv2+ and removed Requires macro.
  See https://bugzilla.redhat.com/show_bug.cgi?id=501498
* Tue May 19 2009 Federico Hernandez <ultrafredde@gmail.com> - 1.7.0-1
  Initial RPM.
